﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics;

namespace Basics
{
    public abstract class ProcessTest
    {
        public abstract bool IsMatch(Process process);
    }

    public class StartsWithProcessTest : ProcessTest
    {
        private string letter;
        public StartsWithProcessTest(string letter)
        {
            this.letter = letter;
        }
        public override bool IsMatch(Process process)
        {
            return process.ProcessName.StartsWith(letter);
        }
    }

    public class LargeProcessTest : ProcessTest
    {
        public override bool IsMatch(Process process)
        {
            return process.WorkingSet64 > 50 * 1000000;
        }
    }


}





